from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XArrayFormulaRange(XInterface, Protocol):
    def getArrayFormula(self) -> str: ...
    def setArrayFormula(self, aFormula: str) -> None: ...
